package com.ssj.service.course.service;

import com.ssj.bean.course.domain.CourseSeriesSetting;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.course.req.CourseSettingSave;
import com.ssj.service.course.res.CourseSeriesSettingRes;

import java.util.Date;
import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 下午3:34:44 
 * 类说明 
 */
public interface CourseSeriesSettingService extends BaseService<CourseSeriesSetting, String> {

	
	List<CourseSeriesSetting>  fingByCourseSeriesIdAndLibId(String courseSeriesId, String libId);
	
	CourseSeriesSettingRes findSettingByLibId(String courseSeriesId, String libId);
	
	CourseSeriesSetting  fingByCourseSeriesIdAndLibIdLimit(String courseSeriesId, String libId);
	/*
	 * 保存课程设置
	 */
	void saveCousreSeriesSetting(CourseSettingSave req);
	
	void saveCousreSeriesSetting();

	CourseSeriesSetting findSetByUserIdAndLibId(String userId, String courseSeries, String libId);

	int findTeacherHasLesson(String timesNow, String libId, String userId);

	void updateSettingOneDay(String libId, String oldTime, String seriesId, Date openTime);
}
